Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Page 2 of 5
PHP Extension “pdo_mysql” must be loaded
 
theconsul
Jr. Member
 
Total Posts:  5
Joined:  2008-10-28
 

switch host is a rather harsh action

considering that it is a clients choice to host there

i refrased my question to my host and i am awaiting answer

 
Magento Community Magento Community
Magento Community
Magento Community
 
JLHC
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

@ theconsul: Yes if your hosting provider does not support the extension needed for Magento to work. You can either switch host or switch cart.

 
Magento Community Magento Community
Magento Community
Magento Community
 
AhmadSabryElGendi
Jr. Member
 
Total Posts:  1
Joined:  2008-12-03
 


I’ve same errors:
*
o PHP Extension “pdo_mysql” must be loaded
o PHP Extension “mcrypt” must be loaded
o PHP Extension “curl” must be loaded
o PHP Extension “gd” must be loaded
i use a dedicated server and i check the php.ini i see extensions are enabled.
i ues rhel 5 with php 5.2.5
any help ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Sunbreaks
Jr. Member
 
Total Posts:  5
Joined:  2008-12-02
 

I am also a Bluehost customer on a shared server.  Bluehost gave me info that helped me solve the pdo_mysql issue for me, so I thought I’d post it here.

First, they told me that all I had to add to my php.ini file was this:

extension=pdo_mysql.so

I had been following this thread and added the other two extension commands previously, which I left in there; but I also added the above, so my php.ini file now has these three lines:

extension=pdo.so
extension=pdo_mysql
extension=pdo_mysql.so

I say this just in case they are all needed - however Bluehost said only the last one was required.

Finally, they told me to go to the PHP Config section in my Bluehost control panel and set it to php5 with single php.ini so that the php.ini will apply to all subfolders in my account.

I did that and now everything’s working perfectly!  Hope you have the same luck I did.

Regards,
Sunbreaks

 
Magento Community Magento Community
Magento Community
Magento Community
 
woody24
Jr. Member
 
Total Posts:  19
Joined:  2008-08-13
 

I just started getting this message. I’ve had Magento installed for some time now. I’m still tinkering with it, and I go to work on it today, and I get that message. I am also using BlueHost. I’ve installed Magento before through their Simple Scripts without a problem, and now there is a problem.

At first I was thinking that it was do to the power outage that I had during the middle of an upgrade. So I wiped it all clean, and started a new install of it, and now I still get the message.

So if this has worked before, and I get the “pdo_mysql extension is not installed” message, whats this mean?

 
Magento Community Magento Community
Magento Community
Magento Community
 
woody24
Jr. Member
 
Total Posts:  19
Joined:  2008-08-13
 

Never mind. Figured it out. I don’t ever remember doing it before, so I didn’t think I had to change anything this time, but my php.ini file was not correct.

I just added:
“extension=pdo.so”
“extension=pdo_mysql.so”

to the php.ini file. But again, I didn’t think I needed to do this because I don’t think I’ve done it before.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Chippo
Jr. Member
 
Total Posts:  15
Joined:  2009-01-10
 

Hi
I dont know if everyone has sorted this problem but I just tried it and as woody24 says add pdo and pdo_mysql. This should sort the problem (don’t forget to restart the server if you can). Im guessing you need the base “pdo” app to run the “pdo_mysql”

 
Magento Community Magento Community
Magento Community
Magento Community
 
nvst18
Jr. Member
 
Total Posts:  9
Joined:  2009-02-10
 

where is the php.ini. I don’t find any in my directory except Magento php.ini.sample, which I changed as above and still get the error.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Chippo
Jr. Member
 
Total Posts:  15
Joined:  2009-01-10
 

What kind of hosting are you using? if you aren’t on a dedicated server chances are you won’t have access to it. If that is the case I would contact your web host and ask them to activate the extensions for you.

 
Magento Community Magento Community
Magento Community
Magento Community
 
nvst18
Jr. Member
 
Total Posts:  9
Joined:  2009-02-10
 

I have a whole list of PHP Apps available for self activation, what do I look for?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Chippo
Jr. Member
 
Total Posts:  15
Joined:  2009-01-10
 

you want to makesure that the extensions “php_pdo” and “php_pdo_mysql” are activated.

 
Magento Community Magento Community
Magento Community
Magento Community
 
nvst18
Jr. Member
 
Total Posts:  9
Joined:  2009-02-10
 

System PHP Extension(s) and Application(s)
Installed PHP Extension(s) and Application(s)
Installed Version Actions
Archive_Tar 1.3.2 Show Docs
Console_Getopt 1.2.3 Show Docs
PEAR 1.7.2 Show Docs
Structures_Graph 1.0.2 Show Docs
XML_RPC 1.5.1 Show Docs

Installed PHP Extension(s) and Application(s)
Module Name Version Actions
Archive_Tar 1.3.2 Update Reinstall Uninstall Show Docs
Benchmark 1.2.7 Update Reinstall Uninstall Show Docs
Console_Getopt 1.2.3 Update Reinstall Uninstall Show Docs
Net_Curl 1.2.5 Update Reinstall Uninstall Show Docs
PEAR 1.7.2 Update Reinstall Uninstall Show Docs
PHPDoc 0.1.0 Update Reinstall Uninstall Show Docs
QA_Peardoc_Coverage 1.1.1 Update Reinstall Uninstall Show Docs
Structures_Graph 1.0.2 Update Reinstall Uninstall Show Docs
XML_Parser 1.3.2 Update Reinstall Uninstall Show Docs
XML_RPC 1.5.1 Update Reinstall Uninstall Show Docs

 
Magento Community Magento Community
Magento Community
Magento Community
 
Chippo
Jr. Member
 
Total Posts:  15
Joined:  2009-01-10
 

no thats not the right list, do you have access to the full filesystem of ur server? or are you on shared hosting? Id recommend contacting ur host and asking how to access the php.ini file

 
Magento Community Magento Community
Magento Community
Magento Community
 
nvst18
Jr. Member
 
Total Posts:  9
Joined:  2009-02-10
 

That was the list of what is installed.

There is a list of available apps and extensions:

Benchmark (1.2.7) 1.2.7 Framework to benchmark PHP scripts or function calls. 

Cache (1.5.5) Framework for caching of arbitrary data. 

Cache_Lite (1.7.6) Fast and Safe little cache system

Config (1.10.11) Your configuration’s swiss-army knife. 

Date (1.5.0a1) Generic date/time handling class for PEAR

Calendar (0.5.4) A package for building Calendar data structures (irrespecti
ve of output) Install Show Docs

Date_Holidays_PHPdo
tNet (0.1.2) Driver based class to calculate birthdays of some members o
f the PHP.net community. 

Event_Dispatcher (1
.0.0) Dispatch notifications using PHP callbacks

Event_SignalEmitter
(0.3.1) Generic signal emitting class with the same API as GObject.  Install Show Docs

Gtk_VarDump (1.0.0) A simple GUI to example php data trees Install Show Docs

Gtk_ScrollingLabel
(1.0.0) A scrolling label for PHP-Gtk Install Show Docs

Gtk_FileDrop (1.0.2) Make Gtk widgets accept file drops Install Show Docs

Gtk_Styled (1.0.0) PHP-GTK pseudo-widgets that mimic GtkData based objects and
allow the look and feel to be controlled by the programmer
.  Install Show Docs

Log (1.11.3) Logging Framework Install Show Docs

Payment_Process (0.
6.6) Unified payment processor Install Show Docs

PFSM (1.3.0) Finite State Machine Install Show Docs

QA_Peardoc_Coverage
(1.1.1) 1.1.1 PEAR documentation coverage analysis. 

Science_Chemistry (
1.1.0) Classes to manipulate chemical objects: atoms, molecules,
etc.  Install Show Docs

Stream_SHM (1.0.0) Shared Memory Stream

Stream_Var (1.0.0) Allows stream based access to any variable. 

VersionControl_SVN
(0.3.1) Simple OO wrapper interface for the Subversion command-lin
e client.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Chippo
Jr. Member
 
Total Posts:  15
Joined:  2009-01-10
 

I dont think they are the same sort of extensions though make a php file and inside it put <?php phpinfo() ?> and have a look at that file through ur browser and it will tell you if pdo and pdo_mysql are loaded

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top
Page 2 of 5